<div class="nurse-container">
    <div class="sidebar-container">
        <button mat-stroked-button class="sidebar-btn">Home</button>
        <button mat-stroked-button (click)="onLogout()" class="sidebar-btn logout-btn ">Logout</button>

    </div>
    <div class="nurse-main-container">
        <table mat-table class="nurseTable" [dataSource]="nurseData">

            <ng-container matColumnDef="doctorName">
                <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Nurse name</th>
                <td mat-cell class="display-col" *matCellDef="let tableDataSource">{{nurseDetails.name}}</td>
            </ng-container>

            <ng-container matColumnDef="changeRequestBtnCol">
                <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Change Request</th>
                <td mat-cell class="display-col" *matCellDef="">
                    <button mat-button class="changeReq-btn btn" (click)="onChangeReqClick()">Change Request</button>
                </td>
            </ng-container>

            <ng-container matColumnDef="sendMessageBtnCol">
                <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Send Message</th>
                <td mat-cell class="display-col" *matCellDef="">
                    <button mat-button class="sendMsg-btn btn" (click)="openMsgDialog()">Send Message</button>
                </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
            <tr mat-row *matRowDef="let myRowData; columns:columnsToDisplay"></tr>
        </table>
    </div>
</div>